tutorial
========

Take some time to learn the framework with these tutorials. But, if you need to get going FAST, try using the :doc:`quick 'n' dirty<all-the-things>` approach and your browser's / editors search function. It will also serve you well to look at all the `examples`_, which have recently gotten a bit of an overhaul to contain more relevant working examples and other advanced tricks that you can leverage to have a good time!


.. toctree::
   :caption: sol Tutorial
   :name: tutorialtoc
   :maxdepth: 2

   all-the-things
   getting-started
   existing
   variables
   functions
   cxx-in-lua
   ownership
   customization

.. _examples: https://github.com/ThePhD/sol2/tree/develop/examples
